Subject: Re: Claims LTK1221603925461X
From: Gelna Genosolango <[email-masked]>
To: subir <[email-masked]>
Date: Fri, 17 Jul 2015 06:18:03 +0530 (IST)

Please advise what should I do for this case 

From: "gelna" <[email-masked]> 
To: "subir" <[email-masked]> 
Sent: Wednesday, July 15, 2015 8:36:16 AM 
Subject: Claims LTK1221603925461X 

Tracking number: 7518550712 
(0852-6517) 

Cs got tired of back and forth communication with DHL so she told her local DHL that she will no longer be filing a claim. 

When I confirmed this to her, this is her response: 

Yes I do. It's so frustating and wasting my time to answer their same question on and on and on.. In fact, I already sent all the requested document. 

So many excuse that they explained to me; 
- the custom never open my package 
- they need detail items from borderlinx regarding my shipment (I sent the document from you but they said it's not detail enough) so why they kept asking me this document and why they don't asked you directly. 

So yes, I tell them that I don't want them to disturb me and ask the same question and same excuse. 

And yes I lost money, I paid the goods, I paid the taxes & customs, I paid the delivery cost. But it's not worth it with the annoying phone from the local agent. 

Kindly advise what I can do on this case. 

Regards, 
Gelna